namespace Passer.LinearAlgebra {

    public class Vector2Of<T> {
        public T x;
        public T y;

        public Vector2Of(T x, T y) {
            this.x = x;
            this.y = y;
        }
    }

    public class Vector2Int : Vector2Of<int> {
        public Vector2Int(int x, int y) : base(x, y) { }
    }
    public class Vector2Float : Vector2Of<float> {
        public Vector2Float(float x, float y) : base(x, y) { }
    }
}